{
  "openapi" : "3.0.1",
  "info" : {
    "title" : "Starburst Public API",
    "version" : "v1"
  },
  "security" : [ {
    "accessToken" : [ ]
  } ],
  "tags" : [ {
    "name" : "Cluster Service",
    "description" : "Cluster related operations"
  }, {
    "name" : "User Service",
    "description" : "User related operations"
  }, {
    "name" : "Role Service",
    "description" : "Role related operations"
  }, {
    "name" : "Group Service",
    "description" : "Group related operations"
  }, {
    "name" : "Privilege Service",
    "description" : "List, grant and revoke role privileges"
  }, {
    "name" : "SchemaDiscovery Service",
    "description" : "Schema discovery related operations\n\n<a href=\"https://docs.starburst.io/starburst-galaxy/working-with-data/explore-data/schema-discovery.html\">See feature documentation</a>\n"
  }, {
    "name" : "Catalog Service",
    "description" : "Catalog related operations"
  }, {
    "name" : "Discovery Service",
    "description" : "Catalog data discovery operations"
  }, {
    "name" : "Tag Service",
    "description" : "Tag related operations"
  }, {
    "name" : "RowFilter Service",
    "description" : "Row filter related operations"
  }, {
    "name" : "ServiceAccount Service",
    "description" : "Service account related operations"
  }, {
    "name" : "ColumnMask Service",
    "description" : "Column mask related operations"
  }, {
    "name" : "Policy Service",
    "description" : "Policy related operatios"
  }, {
    "name" : "DataProduct Service",
    "description" : "Data Product related operations"
  }, {
    "name" : "DataDomain Service",
    "description" : "Data Domain related operations"
  }, {
    "name" : "Data Product Usage Example Service",
    "description" : "Manage usage examples for a Galaxy Data Product"
  }, {
    "name" : "CrossAccountIamRole Service",
    "description" : "AWS cross account IAM role related operations"
  }, {
    "name" : "Privatelink Service",
    "description" : "Private link related operations"
  }, {
    "name" : "Data quality metrics Service",
    "description" : "Get data quality summary for account, catalog, schema or table level"
  }, {
    "name" : "SqlJobs Service",
    "description" : "SQL jobs service that allows managing and executing scheduled SQL queries\n"
  }, {
    "name" : "LiveTable Service",
    "description" : "Operations on live tables"
  }, {
    "name" : "KafkaIngestSource Service",
    "description" : "Operations on Kafka ingest sources"
  }, {
    "name" : "FileIngestSource Service",
    "description" : "Operations on file ingest sources"
  }, {
    "name" : "Data Quality Service",
    "description" : "CRUD API for Data Quality checks - create, read, update, delete, and trigger data quality checks evaluations"
  }, {
    "name" : "Data Quality Schedule Service",
    "description" : "Manage scheduled execution of data quality checks per table"
  }, {
    "name" : "About",
    "description" : "APIs for managing your Starburst account.\n\n<a href=\"/public/openapi/v1/json\" style=\"text-decoration: none !important\" download=\"openApi.json\">⬇️ Download OpenAPI specification</a>\n"
  }, {
    "name" : "API Versions",
    "description" : "Two versions of the Starburst Galaxy Public API are available:\n\n* **V1** — stable API covering account management, catalogs, clusters, roles, policies, and data discovery.\n\n  [Download the V1 specification](/public/openapi/v1/json)\n\n* **V2** — introduces new versions of existing resources such as Data Products.\n\n  [Download the V2 specification](/public/openapi/v2/json)\n"
  }, {
    "name" : "Access Tokens",
    "description" : "Access tokens are obtained using the OAuth2 credentials flow and API authentication tokens.\n\n1. Create an API authentication token at `https://{account-domain}/api-auth-token`\n2. Use the API authentication token to obtain a temporary access token by POST to `https://{account-domain}/oauth/v2/token`. The request must have a Basic Authorization header with the client ID and secret Base64 encoded in the form `clientId:clientSecret`. The request body must be `grant_type=client_credentials`.\n\n`cURL` example:\n\n```\ncurl -X POST \\\n  -H 'Authorization: Basic {base64(clientId:clientSecret)}' \\\n  -H 'Content-Type: application/x-www-form-urlencoded' \\\n  -d 'grant_type=client_credentials' \\\n  https://{account-domain}/oauth/v2/token\n```\n\nThe access token returned can be used to make API calls with the header `Authorization: Bearer {access token}`.\n"
  }, {
    "name" : "Model Definitions",
    "description" : ""
  }, {
    "name" : "Responses",
    "description" : ""
  } ],
  "paths" : {
    "/public/api/v1/cluster" : {
      "get" : {
        "tags" : [ "Cluster Service" ],
        "description" : "Return the clusters of your account",
        "operationId" : "listCluster",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        }, {
          "in" : "query",
          "name" : "extended",
          "description" : "",
          "required" : false,
          "schema" : {
            "type" : "boolean",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedCluster"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Cluster Service" ],
        "description" : "Create a cluster",
        "operationId" : "createCluster",
        "parameters" : [ {
          "in" : "query",
          "name" : "extended",
          "description" : "",
          "required" : false,
          "schema" : {
            "type" : "boolean",
            "nullable" : false
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateCluster"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Cluster"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "412" : {
            "description" : "FailedPrecondition",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/FailedPrecondition"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/cluster/{clusterId}" : {
      "get" : {
        "tags" : [ "Cluster Service" ],
        "description" : "Get cluster by id",
        "operationId" : "getCluster",
        "parameters" : [ {
          "in" : "path",
          "name" : "clusterId",
          "description" : "- A Trino cluster\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "extended",
          "description" : "",
          "required" : false,
          "schema" : {
            "type" : "boolean",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Cluster"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "delete" : {
        "tags" : [ "Cluster Service" ],
        "description" : "Delete a cluster",
        "operationId" : "deleteCluster",
        "parameters" : [ {
          "in" : "path",
          "name" : "clusterId",
          "description" : "- A Trino cluster\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "Success"
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "patch" : {
        "tags" : [ "Cluster Service" ],
        "description" : "Update a cluster. Only the owner of the cluster can perform this operation\n\nOnly include fields you wish to update. Missing or unrecognized fields are ignored.",
        "operationId" : "patchUpdateCluster",
        "parameters" : [ {
          "in" : "path",
          "name" : "clusterId",
          "description" : "- A Trino cluster\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "extended",
          "description" : "",
          "required" : false,
          "schema" : {
            "type" : "boolean",
            "nullable" : false
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/UpdateClusterPatch"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Cluster"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/user" : {
      "get" : {
        "tags" : [ "User Service" ],
        "description" : "Return a list of users",
        "operationId" : "listUser",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedUser"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "User Service" ],
        "description" : "Create a user",
        "operationId" : "createUser",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateUser"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/User"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/user/{userId}" : {
      "get" : {
        "tags" : [ "User Service" ],
        "description" : "Get a user",
        "operationId" : "getUser",
        "parameters" : [ {
          "in" : "path",
          "name" : "userId",
          "description" : "- A user\n- This parameter can be looked up using `email` instead of its Id. Use `email=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/User"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "patch" : {
        "tags" : [ "User Service" ],
        "description" : "Update user role grants and default role\n\nOnly include fields you wish to update. Missing or unrecognized fields are ignored.",
        "operationId" : "patchUpdateUser",
        "parameters" : [ {
          "in" : "path",
          "name" : "userId",
          "description" : "- A user\n- This parameter can be looked up using `email` instead of its Id. Use `email=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/UpdateUserPatch"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/User"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/role" : {
      "get" : {
        "tags" : [ "Role Service" ],
        "description" : "Return a list of roles",
        "operationId" : "listRole",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedRole"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Role Service" ],
        "description" : "Create a role",
        "operationId" : "createRole",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateRole"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Role"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "404" : {
            "description" : "NotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFoundError"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/role/{roleId}" : {
      "get" : {
        "tags" : [ "Role Service" ],
        "description" : "Get information about a role",
        "operationId" : "getRole",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Role"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "delete" : {
        "tags" : [ "Role Service" ],
        "description" : "Delete a role",
        "operationId" : "deleteRole",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "Success"
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "patch" : {
        "tags" : [ "Role Service" ],
        "description" : "Grant and revoke roles\n\nOnly include fields you wish to update. Missing or unrecognized fields are ignored.",
        "operationId" : "patchUpdateRole",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/UpdateRolePatch"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Role"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/role/{roleId}/rolegrant" : {
      "get" : {
        "tags" : [ "Role Service" ],
        "description" : "    List all users, groups, and roles a role has been granted to. This includes transitive grants.\n\n    For example, if Role B has been granted to Role A, and Role C has been granted to Role B, the grants returned in this API for Role A will include both Role B and Role C.\n\n    Similarly, in this example, if User Y and User Z both have been granted Role A, querying this API for Role C will include both users.\n    Both users can assume Role C via their transitive grants of Role A.\n\n    For more information about roles, please visit https://docs.starburst.io/starburst-galaxy/security/roles.html\n",
        "operationId" : "listRoleRolegrant",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        }, {
          "in" : "query",
          "name" : "type",
          "description" : "Query filter",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedRolegrant"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/group" : {
      "get" : {
        "tags" : [ "Group Service" ],
        "description" : "Return a list of groups for the current account",
        "operationId" : "listGroup",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedGroup"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/group/{groupId}" : {
      "patch" : {
        "tags" : [ "Group Service" ],
        "description" : "Update roles assigned to a group\n\nOnly include fields you wish to update. Missing or unrecognized fields are ignored.",
        "operationId" : "patchUpdateGroup",
        "parameters" : [ {
          "in" : "path",
          "name" : "groupId",
          "description" : "A group",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/UpdateGroupRoleGrantsPatch"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Group"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/role/{roleId}/privilege:grant" : {
      "post" : {
        "tags" : [ "Privilege Service" ],
        "description" : "Grant a privilege to a role",
        "operationId" : "grantRolePrivilege",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/Privilege"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "Success"
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/role/{roleId}/privilege" : {
      "get" : {
        "tags" : [ "Privilege Service" ],
        "description" : "List all privileges granted to a role, or to all roles in that role's active role set if the listAllPrivileges parameter is set.\n\nThis endpoint may return stale data (from approximately five seconds before the time of the request) to ensure maximum performance.\n",
        "operationId" : "listRolePrivilege",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        }, {
          "in" : "query",
          "name" : "listAllPrivileges",
          "description" : "Lists all inherited and directly granted privileges if true, or only directly granted privileges if false.",
          "required" : false,
          "schema" : {
            "type" : "boolean",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedGrantedPrivilege"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/role/{roleId}/privilege:revoke" : {
      "post" : {
        "tags" : [ "Privilege Service" ],
        "description" : "Revoke a privilege from a role",
        "operationId" : "revokeRolePrivilege",
        "parameters" : [ {
          "in" : "path",
          "name" : "roleId",
          "description" : "- A role\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/RevokePrivilege"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "Success"
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/schemaDiscovery/{schemaDiscoveryId}:apply" : {
      "post" : {
        "tags" : [ "SchemaDiscovery Service" ],
        "description" : "Execute SQL statements generated by schema discovery",
        "operationId" : "applySchemaDiscovery",
        "parameters" : [ {
          "in" : "path",
          "name" : "schemaDiscoveryId",
          "description" : "A schema discovery run",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SchemaDiscovery"
                }
              }
            }
          },
          "404" : {
            "description" : "NotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFoundError"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "412" : {
            "description" : "FailedPrecondition",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/FailedPrecondition"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/schemaDiscovery/{schemaDiscoveryId}" : {
      "get" : {
        "tags" : [ "SchemaDiscovery Service" ],
        "description" : "Get schema discovery by id",
        "operationId" : "getSchemaDiscovery",
        "parameters" : [ {
          "in" : "path",
          "name" : "schemaDiscoveryId",
          "description" : "A schema discovery run",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SchemaDiscovery"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "delete" : {
        "tags" : [ "SchemaDiscovery Service" ],
        "description" : "Delete schema discovery by schemaDiscoveryId. Discoveries in progress or ones that are latest applied for path cannot be deleted.",
        "operationId" : "deleteSchemaDiscovery",
        "parameters" : [ {
          "in" : "path",
          "name" : "schemaDiscoveryId",
          "description" : "A schema discovery run",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "Success"
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "412" : {
            "description" : "FailedPrecondition",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/FailedPrecondition"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalog/{catalogId}/schemaDiscovery" : {
      "get" : {
        "tags" : [ "SchemaDiscovery Service" ],
        "description" : "Get schema discoveries for catalog. When getting all runs, they won't contain same level of detail as when getting run by its ID.",
        "operationId" : "listCatalogSchemaDiscovery",
        "parameters" : [ {
          "in" : "path",
          "name" : "catalogId",
          "description" : "- A catalog\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "latest",
          "description" : "",
          "required" : false,
          "schema" : {
            "type" : "boolean",
            "nullable" : false
          }
        }, {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedSchemaDiscovery"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "SchemaDiscovery Service" ],
        "description" : "Run schema discovery under catalog, for specified uri. This operation is async and runs in background. It is important to check `status` field to make sure it has completed and results are ready.",
        "operationId" : "createCatalogSchemaDiscovery",
        "parameters" : [ {
          "in" : "path",
          "name" : "catalogId",
          "description" : "- A catalog\n- This parameter can be looked up using `name` instead of its Id. Use `name=value` instead of an Id to lookup/search using the `value`. `value` must be encoded ([see RFC](https://www.rfc-editor.org/rfc/rfc3986#section-2.2) including `=`)\n",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/RunSchemaDiscovery"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SchemaDiscovery"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          },
          "412" : {
            "description" : "FailedPrecondition",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/FailedPrecondition"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/bigquery/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's BigQuery catalogs",
        "operationId" : "listBigQueryCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedBigQueryCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a BigQuery catalog",
        "operationId" : "createBigQueryCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateBigQueryCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BigQueryCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/cassandra/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's Cassandra catalogs",
        "operationId" : "listCassandraCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedCassandraCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a Cassandra catalog",
        "operationId" : "createCassandraCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateCassandraCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CassandraCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/gcs/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's GCS catalogs",
        "operationId" : "listGcsCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedGcsCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a GCS catalog",
        "operationId" : "createGcsCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateGcsCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/GcsCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/mongodb/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's MongoDB catalogs",
        "operationId" : "listMongoDBCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedMongoDBCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a MongoDB catalog",
        "operationId" : "createMongoDBCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateMongoDBCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MongoDBCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/mysql/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's MySQL catalogs",
        "operationId" : "listMySQLCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedMySQLCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a MySQL catalog",
        "operationId" : "createMySQLCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateMySQLCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MySQLCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/opensearch/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's OpenSearch catalogs",
        "operationId" : "listOpenSearchCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedOpenSearchCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a OpenSearch catalog",
        "operationId" : "createOpenSearchCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateOpenSearchCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/OpenSearchCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/postgresql/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's PostgreSQL catalogs",
        "operationId" : "listPostgresqlCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedPostgresqlCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a PostgreSQL catalog",
        "operationId" : "createPostgresqlCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreatePostgresqlCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PostgresqlCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/redshift/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's Redshift catalogs",
        "operationId" : "listRedshiftCatalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedRedshiftCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
            }
          }
        }
      },
      "post" : {
        "tags" : [ "Catalog Service" ],
        "description" : "Create a Redshift catalog",
        "operationId" : "createRedshiftCatalog",
        "parameters" : [ ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateRedshiftCatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/RedshiftCatalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "409" : {
            "description" : "ApiAlreadyExists",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Exists"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          }
        }
      }
    },
    "/public/api/v1/catalogType/s3/catalog" : {
      "get" : {
        "tags" : [ "Catalog Service" ],
        "description" : "List an account's S3 catalogs",
        "operationId" : "listS3Catalogs",
        "parameters" : [ {
          "in" : "query",
          "name" : "pageToken",
          "description" : "Pagination token",
          "required" : false,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "pageSize",
          "description" : "Page size or 0 for default (current maximum is 100)",
          "required" : false,
          "schema" : {
            "format" : "int32",
            "type" : "integer",
            "nullable" : false
          }
        } ],
        "responses" : {
          "200" : {
            "description" : "Success",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedS3Catalog"
                }
              }
            }
          },
          "400" : {
            "description" : "ApiBadRequest",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401" : {
            "description" : "ApiUnauthorized",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403" : {
            "description" : "ApiForbidden",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404" : {
            "description" : "ApiNotFound",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/NotFound"
                }
              }
[...]
